Bug 1414449 (CVE-2017-5510) - CVE-2017-5510 ImageMagick: Out-of-bounds write flaw in psd file handling
Summary: CVE-2017-5510 ImageMagick: Out-of-bounds write flaw in psd file handling
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5510
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-18 14:25 UTC by Andrej Nemec
Modified: 2019-09-29 14:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-22 04:31:20 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-18 14:25:05 UTC
An out-of-bounds write vulnerability was found in ImageMagick. A maliciously crafted file could cause the application to crash or possibly have other impact.

References:

http://seclists.org/oss-sec/2017/q1/110

Upstream patches:

https://github.com/ImageMagick/ImageMagick/commit/91cc3f36f2ccbd485a0456bab9aebe63b635da88
https://github.com/ImageMagick/ImageMagick/commit/e87af64b1ff1635a32d9b6162f1b0e260fb54ed9

Upstream bug:

https://github.com/ImageMagick/ImageMagick/issues/348

Comment 1 Andrej Nemec 2017-01-18 15:04:09 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.